package at.herold.test.objlifetime;

import java.io.FileWriter;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.ArrayList;
import java.util.List;
/**
 * Class for the statistics of the monitored events. A pure static
 * class just inside the package.
 * @author Peter Kofler
 */
final class LifetimeStatistics
{

   static final List monitoredEvents = new ArrayList();

   static final void saveMonitoredEvents(boolean pInShutdown)
   {
      final int len = monitoredEvents.size();
      System.out.println("LTM - saving " + len + " monitored events");
      try
      {
         final PrintWriter pout = new PrintWriter(new FileWriter("c:\\temp\\lifetime.log", true));
         for (int i = 0; i < len; i++)
         {
            pout.println(monitoredEvents.get(i));
         }
         if (pInShutdown)
         {
            pout.println("E @ALL " + TimerThread.time);
         }
         pout.flush();
         pout.close();
      }
      catch (IOException ex)
      {
         ex.printStackTrace();
      }

      monitoredEvents.clear();
      System.out.println("LTM - saving finished");
   }

   static final int getNumberOfMonitoredActions() {
      return LifetimeStatistics.monitoredEvents.size();
   }

   static final int getNumberOfTimeUnitsSinceStart() {
      return TimerThread.time;
   }

}
