package at.herold.test.objlifetime.viewer;

import java.util.List;

class ViewedGCEvent extends ViewedEvent
{

   ViewedGCEvent(int pObjectIdentifier, int pTimeStamp)
   {
      super(pObjectIdentifier, pTimeStamp);
   }

   public String toString()
   {
      return "D @" + super.toString();
   }

   public void operateList(CreationEventList creationEvents, List lifetimeEvents)
   {

      final ViewedCreationEvent creation = creationEvents.getCreationEventFor(this);
      if (creation == null)
      {
         throw new IllegalArgumentException("no creation in list for " + this);
      }

      creationEvents.remove(creation);

      final ViewedLifetime lifetime = new ViewedLifetime(creation);
      lifetime.setEndTime(this);
      lifetimeEvents.add(lifetime);
   }

}
