package at.herold.test.objlifetime.viewer;

import java.util.Iterator;
import java.util.List;

class ViewedShutdownEvent extends ViewedEvent
{

   ViewedShutdownEvent(int pTimeStamp)
   {
      super(Integer.MAX_VALUE, pTimeStamp);
   }

   public String toString()
   {
      return "E @" + super.toString();
   }

   public void operateList(CreationEventList creationEvents, List lifetimeEvents)
   {
      System.out.println("GC by shutdown: " + creationEvents.size());

      for (Iterator i = creationEvents.iterator(); i.hasNext();)
      {
         final ViewedCreationEvent creation = (ViewedCreationEvent) i.next();

         final ViewedLifetime lifetime = new ViewedLifetime(creation);
         lifetime.setEndTimeByShutdown(timeStamp);
         lifetimeEvents.add(lifetime);
      }

      creationEvents.clear();
   }

}
